<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMealOrderTable extends Migration {

	public function up()
	{
		Schema::create('meal_order', function(Blueprint $table) {
			$table->bigInteger('meal_id')->unsigned();
			$table->bigInteger('order_id')->unsigned();
			$table->bigInteger('quantity');
			$table->string('special_request')->nullable();
			$table->decimal('total_amount');
		});
	}

	public function down()
	{
		Schema::drop('meal_order');
	}
}